TemplateTransformationRepositoryExtension
Keywords: uk.ac.ic.doc.automed.TemplateTransformationRepositoryExtension,TemplateTransformationRepositoryExtension class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed
Class TemplateTransformationRepositoryExtension

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.TemplateTransformationRepository
            |
            +--uk.ac.ic.doc.automed.TemplateTransformationRepositoryExtension

public class TemplateTransformationRepositoryExtension
extends TemplateTransformationRepository

Constructor Summary
`TemplateTransformationRepositoryExtension()`

Method Summary
`static int` | `getCompositeTransformationDefinitionElementNR(int trans_id, int arg_pos)`
`static int` | `getCompositeTransformationDefinitionRefPos(int trans_id, int arg_pos)`
`static int` | `getCompositeTransformationDefinitionType(int trans_id, int arg_pos)`
`static int` | `getCompositeTransformationDefinitionTypeInstance(int trans_id, int arg_pos)`

Methods inherited from class uk.ac.ic.doc.automed.TemplateTransformationRepository
`createArgument, createCompositeTransformation, createCompositeTransformationDefinition, createCompositeTransformationDefinition, createCompositeTransformationProgram, createCompositeTransformationReturnedValuesDefinition, createFirstArgument, getArgumentsArgIdList, getArgumentsArgIdRef, getArgumentsArgIdRefList, getArgumentsArgPosList, getArgumentsArgPosRef, getArgumentsArgPosRefList, getArgumentsValue, getArgumentsValueList, getCompositeTransformationByName, getCompositeTransformationDefinitionArgPosList, getCompositeTransformationDefinitionArgPosList, getCompositeTransformationDefinitionDescription, getCompositeTransformationDefinitionDescriptionList, getCompositeTransformationDefinitionDescriptionList, getCompositeTransformationDefinitionFieldName, getCompositeTransformationDefinitionFieldNameList, getCompositeTransformationDefinitionFieldNameList, getCompositeTransformationDefinitionIsReturnedValue, getCompositeTransformationDefinitionIsReturnedValueList, getCompositeTransformationDefinitionTableName, getCompositeTransformationDefinitionTableNameList, getCompositeTransformationDefinitionTableNameList, getCompositeTransformationDescription, getCompositeTransformationName, getCompositeTransformationPreservesEquivalence, getCompositeTransformationProgramArgId, getCompositeTransformationProgramArgIdList, getCompositeTransformationProgramPcList, getCompositeTransformationProgramStId, getCompositeTransformationProgramStIdList, getCompositeTransformationReturnedValuesDefinitionArgId, getCompositeTransformationsDescriptionList, getCompositeTransformationsDescriptionList, getCompositeTransformationsNameList, getCompositeTransformationsNameList, getCompositeTransformationsPreservesEquivalenceList, getCompositeTransformationsTransIdList, getCompositeTransformationsTransIdList, getDataSourceName, getNextRow, isValidTransId, main, makeQuery, makeUpdate, processResultSet, removeArgument, removeArguments, removeCompositeTransformation, removeCompositeTransformationDefinition, removeCompositeTransformationDefinition, removeCompositeTransformationProgram, removeCompositeTransformationProgram, removeCompositeTransformationReturnedValuesArgumentDefinition, setArgumentsArgIdRef, setArgumentsArgPosRef, setArgumentsValue, setCompositeTransformationDefinitionDescription, setCompositeTransformationDefinitionFieldName, setCompositeTransformationDefinitionIsReturnedValue, setCompositeTransformationDefinitionTableName, setCompositeTransformationDescription, setCompositeTransformationName, setCompositeTransformationPreservesEquivalence, setCompositeTransformationProgramArgId, setCompositeTransformationProgramStId, setCompositeTransformationReturnedValuesDefinitionArgId, setDataSourceName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateTransformationRepositoryExtension

    public TemplateTransformationRepositoryExtension()

Method Detail

### getCompositeTransformationDefinitionElementNR

    public static int getCompositeTransformationDefinitionElementNR(int trans_id,
                                                                    int arg_pos)
                                                             throws TemplateTransformationRepositoryException,
                                                                    RepositoryAccessException

    `TemplateTransformationRepositoryException`
    `RepositoryAccessException`

### getCompositeTransformationDefinitionType

    public static int getCompositeTransformationDefinitionType(int trans_id,
                                                               int arg_pos)
                                                        throws TemplateTransformationRepositoryException,
                                                               RepositoryAccessException

    `TemplateTransformationRepositoryException`
    `RepositoryAccessException`

### getCompositeTransformationDefinitionTypeInstance

    public static int getCompositeTransformationDefinitionTypeInstance(int trans_id,
                                                                       int arg_pos)
                                                                throws TemplateTransformationRepositoryException,
                                                                       RepositoryAccessException

    `TemplateTransformationRepositoryException`
    `RepositoryAccessException`

### getCompositeTransformationDefinitionRefPos

    public static int getCompositeTransformationDefinitionRefPos(int trans_id,
                                                                 int arg_pos)
                                                          throws TemplateTransformationRepositoryException,
                                                                 RepositoryAccessException

    `TemplateTransformationRepositoryException`
    `RepositoryAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD